%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary: 	Panel for the Matchbox Desktop
Name: 		matchbox-panel
Version: 	0.9.3
Release: 	%mkrel 13
Url: 		http://matchbox-project.org/
License: 	GPLv2+
Group: 		Graphical desktop/Other
Source0: 	https://downloads.yoctoproject.org/releases/matchbox/%name/%url_ver/%name-%version.tar.bz2
Patch0:		matchbox-panel-0.9.3-linking.patch
Patch1:		matchbox-panel-0.9.3-automake-1.13.patch
BuildRequires:	pkgconfig
BuildRequires:	pkgconfig(libmb)
BuildRequires:	libapm-devel
BuildRequires:	pkgconfig(libstartup-notification-1.0)
BuildRequires:	libiw-devel

%description
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
for which screen space, input mechanisms or system resources are limited.

This package contains the panel from Matchbox.

%prep
%setup -q
%autopatch -p1

#fix desktop files
sed -i -e 's,\(Icon=.*\)\.png,\1,g' applets/dotdesktop/*.desktop

%build
autoreconf -vfi
%configure \
	--enable-nls \
	--enable-dnotify \
	--enable-startup-notification
%make

%install
%make_install

desktop-file-install \
	--vendor="" \
	--set-key="Type" \
	--set-value="Application" \
	--remove-category="MB" \
	--remove-category="Panel" \
	--dir=%{buildroot}%{_datadir}/applications/ \
		%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %name

%files -f %name.lang
%doc AUTHORS README ChangeLog
%_bindir/*
%_datadir/pixmaps/*
%_datadir/applications/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.9.3-13.mga8
+ Revision: 1489038
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sat Sep 08 2018 wally <wally> 0.9.3-12.mga7
+ Revision: 1257866
- rebuild for aarch64
- update source url

* Tue Feb 02 2016 umeabot <umeabot> 0.9.3-11.mga6
+ Revision: 932776
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-10.mga5
+ Revision: 746182
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-9.mga5
+ Revision: 682179
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.3-8.mga4
+ Revision: 507722
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-7.mga3
+ Revision: 359426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 0.9.3-6.mga3
+ Revision: 345494
- fix build with latest automake 1.13
- rebuild for new iw

* Fri Dec 28 2012 wally <wally> 0.9.3-5.mga3
+ Revision: 335896
- fix desktop files
- add patch to fix linking
- clean .spec a bit

* Sun Apr 10 2011 dmorgan <dmorgan> 0.9.3-4.mga1
+ Revision: 82928
- imported package matchbox-panel


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.9.3-4mdv2010.0
+ Revision: 429962
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.9.3-3mdv2009.0
+ Revision: 252013
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Mon Nov 05 2007 Funda Wang <fundawang@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 106046
- New version 0.9.3
- import matchbox-panel


* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.9.2-3mdk
- Rebuild

* Fri Jul 29 2005 Olivier Blin <oblin@mandriva.com> 0.9.2-2mdk
- rebuild for new libiw

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 0.9.2-1mdk
- 0.9.2

* Mon Jan 24 2005 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1

* Mon Jan 10 2005 Austin Acton <austin@mandrake.org> 0.9-1mdk
- 0.9

* Mon Aug 30 2004 Austin Acton <austin@mandrake.org> 0.8.3-1mdk
- 0.8.3

* Tue Jul 27 2004 Austin Acton <austin@mandrake.org> 0.8.2-1mdk
- 0.8.2

* Mon Jul 20 2004 Austin Acton <austin@mandrake.org> 0.8.1-1mdk
- 0.8.1

